Last Comment Bug 11459 - need option for mailto: to launch external mail app or open a webmail url
: need option for mailto: to launch external mail app or open a webmail url
Status: RESOLVED WORKSFORME
DO NOT COMMENT unless you want to hel...
: helpwanted
Product: SeaMonkey
Classification: Client Software
Component: Preferences (show other bugs)
: Trunk
: All All
: -- enhancement with 168 votes (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
http://developer.netscape.com/softwar...
: 17923 35977 42614 43861 65466 76237 88061 94295 94777 103567 106422 120713 121197 124812 125932 126825 132276 134515 136682 138513 140285 143944 146218 150979 153357 153420 154582 155731 157363 160263 160894 161690 167273 170502 175339 176494 176965 177136 181130 183174 185114 188008 188295 188705 190570 191980 195296 196720 198631 203542 205257 208672 210822 215650 217028 218409 219043 219951 221417 221566 235796 238787 247382 252293 284105 286956 304892 330298 (view as bug list)
Depends on: 160141 33282 196798
Blocks: 108455 advocacybugs 165809 692224
  Show dependency treegraph
 
Reported: 1999-08-09 10:31 PDT by (not reading, please use seth@sspitzer.org instead)
Modified: 2011-10-10 12:39 PDT (History)
124 users (show)
asa: blocking1.4b-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Screenshot of Opera's mailto: handling preferences (10.28 KB, image/jpeg)
2003-10-07 15:36 PDT, Ilya Gulko
no flags Details
Webmail Compose Extension (17.21 KB, application/x-xpinstall)
2005-05-24 20:37 PDT, Matt
no flags Details
Test Document please ignore (366 bytes, text/plain)
2006-11-09 21:21 PST, KAPTAN
no flags Details

Description (not reading, please use seth@sspitzer.org instead) 1999-08-09 10:31:27 PDT
from "Mark H. Bickford" <markhb@maine.rr.com>

"is was brought up in the early days of the mail/news group:  it is
not currently possible, in Comm. 4.x, to direct the client to use an
external mail program for mailto: tags, but still use the Communicator
client for news postings."

I'll add this:

It'd be great to have mailto: links be configurable to launch urls.

so mailto:sspitzer@netscape.com?cc=foo&subject=bar could become

http://webmail-server/compose?to=sspitzer@netscape.com&cc=foo&subject=bar
Comment 1 scottputterman 1999-08-09 11:25:59 PDT
setting target M15.
Comment 2 Phil Peterson 1999-08-24 10:29:59 PDT
Bulk-resolving requests for enhancement as "later" to get them off the Seamonkey
bug tracking radar. Even though these bugs are not "open" in bugzilla, we
welcome fixes and improvements in these areas at any time. Mail/news RFEs
continue to be tracked on http://www.mozilla.org/mailnews/jobs.html
Comment 3 Phil Peterson 1999-08-31 17:36:59 PDT
Reopen mail/news HELP WANTED bugs and reassign to nobody@mozilla.org
Comment 4 pmock 1999-10-22 19:25:59 PDT
changing QA assigned to pmock@netscape.com
Comment 5 Phil Peterson 2000-01-26 12:45:27 PST
*** Bug 17923 has been marked as a duplicate of this bug. ***
Comment 6 Gervase Markham [:gerv] 2000-03-27 12:53:55 PST
This is a fab idea. Imagine the increase in traffic to Netcenter etc. if when 
you clicked on a mailto: link and there was no mail configured, a dialog popped 
up: 

"You have no mail configured. Would you like to open a free web-based e-mail 
account which integrates with your browser"? [ ] Never show this dialog again.

A yes would take you to signin at Netcenter, and in future Mozilla would rewrite 
mailto: URLs to use your account. You would make the interface open, of course, 
so other mail companies could enable integration for their products, but the 
advantage of being the "default" would be considerable...

Gerv
Comment 7 Asa Dotzler [:asa] 2000-05-08 15:38:48 PDT
*** Bug 35977 has been marked as a duplicate of this bug. ***
Comment 8 Gervase Markham [:gerv] 2000-05-08 16:01:56 PDT
I'm marking this nsbeta2. Why? Because I think that, as I detailed, Netscape 
have a massive commercial advantage, in terms of traffic to their portal, if 
they implement this functionality. And how hard can it be? Replace the "No mail 
configured" dialog box with a URL rewrite and possibly a "Do you want to open a 
webmail account?" dialog box. 

But then, they might just mark it nsbeta2-...

Gerv 
Comment 9 leger 2000-05-25 15:01:56 PDT
Putting on [nsbeta2-] radar.  Not on exception feature list.
Comment 10 (not reading, please use seth@sspitzer.org instead) 2000-06-05 10:52:29 PDT
alt mail is way out there.
Comment 11 Eugene Savitsky 2000-06-17 11:53:32 PDT
It is very critical for about 150 computers we have in my company. We are using
The Bat! (http://www.ritlabs.com/the_bat/index.html) with NN4.x with utility
which allows to run The Bat! when clicked on mail link.

Is it so hard to implement "mailto:" links opens default mail programm???
Comment 12 Sebastian Späth 2000-06-17 15:04:08 PDT
*** Bug 42614 has been marked as a duplicate of this bug. ***
Comment 13 Gervase Markham [:gerv] 2000-06-17 16:07:31 PDT
ezh@infonet.ee - the wonder of Open Source means that, if this is a priority for 
your company, you can implement it yourself, rather than having to ask other 
developers to do it for you :-) 

The helpwanted keyword in this bug indicates particularly that outside help is 
requested to implement this feature.

I'm wondering why I keep getting mail about this bug, when I'm not on the CC: 
list, though...

Gerv
Comment 14 jlarsen 2000-06-17 17:34:53 PDT
24614 wasn't really a repeat of this bug. But I'll leave it and explain it here. 
Can we have a option to run a different mail program when mail is called from 
mozilla. This option exist in IE and is very nice. I think it used to exist in 
netscape 3 ??
Comment 15 lchiang 2000-06-26 13:42:07 PDT
*** Bug 43861 has been marked as a duplicate of this bug. ***
Comment 16 Mike Kaply [:mkaply] 2000-07-04 16:51:47 PDT
We (IBM) did some design work on selectable mail for Mozilla, but we decided not 
to implement it as part of our contributions.

We are working to get this design in a state where it can be contributed to open 
source.
Comment 17 Eugene Savitsky 2000-07-04 16:56:35 PDT
Yesss.... Big thanks to Big Blue... :)
Comment 18 Mike Kaply [:mkaply] 2000-07-06 08:30:00 PDT
I have placed the design at:

http://www.mozilla.org/ports/os2/selmail/selmail.html

Sorry about some of the formatting.

Note that this design was done in February, so things in Mozilla might have 
changed since then.
Comment 19 Gervase Markham [:gerv] 2000-08-19 11:25:08 PDT
Nominating for nsbeta3. External mail program use is a much-requested feature.

Gerv
Comment 20 Michael La Guardia 2000-09-22 17:38:03 PDT
Marking nsbeta3-.  Still a feature, and we're way beyond the point where we're
taking new features.  Nice idea for the next release.
Comment 21 Asa Dotzler [:asa] 2000-10-13 20:03:29 PDT
*** Bug 56478 has been marked as a duplicate of this bug. ***
Comment 22 sean echevarria 2000-10-20 18:16:21 PDT
cc self
Comment 23 Eugene Savitsky 2000-11-22 09:48:34 PST
On this people complains as much as mem and perf... At least in Russia.

Can we decide smth with it?
Comment 24 pmock 2000-11-22 09:57:41 PST
Nominating for release.
Comment 25 Eugene Savitsky 2000-11-27 16:16:15 PST
Who should decide would it be in moz 1.0?
Comment 26 (not reading, please use seth@sspitzer.org instead) 2000-12-01 19:50:21 PST
this is the famous "alt mail" feature.

see http://bugzilla.mozilla.org/show_bug.cgi?id=34819

I have no plans on working on this any time soon, but if someone else wants to
start on it, I'll be happy to help them get started.

see http://developer.netscape.com/software/sdks/index.html?content=mailnews.html
for how this worked in 4.x
Comment 27 Gilles Durys 2001-01-14 17:45:52 PST
*** Bug 65466 has been marked as a duplicate of this bug. ***
Comment 28 Johan Walles 2001-01-29 01:22:36 PST
Couldn't <a href="http://protozilla.mozdev.org/">Protozilla</a> be used for 
resolving this bug?  From their <a 
href="http://protozilla.mozdev.org/examples.html">examples page</a> it seems 
like an OK solution.  Note that this is only a suggestion; I know very little 
about Protozilla and I unforturnately don't have time to look into it myself. I 
just hope to maybe point someone in the right direction.
Comment 29 Ben Bucksch (:BenB) 2001-01-29 09:56:52 PST
R. Saravanan wrote on <protozilla@mozdev.org>:
> Yes, protozilla could be used to resolve this "bug".
Comment 30 R. Saravanan 2001-02-07 10:21:17 PST
Update on customizing mailto: protocol using Protozilla
(http://protozilla.mozdev.org)

(I don't whether this can be called a fix for this bug, since
Protozilla is not in the Mozilla codebase, but it is certainly
an alternative solution that works right now.)

If you wish to configure the mailto: protocol to load a specific
URL, all you need to do is to create a file called "mailto.url"
using Protozilla containing a line like the following

   http://f33.mail.yahoo.com/ym/us/Compose?&To=

This takes me directly to Yahoo mail when I click on a link like
   mailto:user@host

(NOTE: The magic number f33 may be different for other users.)

The above example is included in the latest version of Protozilla,
under the name "mailto-y.url". There is also another example,
"mailto-h.url", which works for Hotmail. It illustrates how you can use
Javascript to carry out more complex transformations during URL
re-direction.

Protozilla now also supports launching of "helper" applications
for designated protocols, as was the case in Netscape 4.x

For example, you can create a protocol handler file named
"mailto.cmd" containing the following line

   mail $URI_DATA

This will cause the command "mail user@host" to be executed
when you click on mailto:user@host

There is an example called "telnet.cmd" included with Protozilla
to illustrate helper application use.

CAUTION: If you override the mailto: protocol using Protozilla, and
later wish to restore the default behaviour, you will need to delete
the file named "component.reg" in the mozilla binary directory.
If someone knows how to get around this problem, please let me know.
Comment 31 Ben Bucksch (:BenB) 2001-02-07 10:47:34 PST
Thanks for the info svn. You rock!

Note that the mailto: URI type covers much more than just the recipient. IIRC,
you can specify arbitary headers with ...[&]Headername=headercontent, e.g.
<mailto:mozilla@bucksch.org&Subject=Hello%20you!>. Note the escaping.
(Disclaimer: I still havn't checked out Protozilla yet. Sorry, if it's already
in the examples.)
Comment 32 Mark Bickford 2001-02-07 18:22:30 PST
Re: Protozilla

If one uses Protozilla to redirect the mailto protocol, does this disable 
posting to newsgroups from mailnews?  That was the difficulty with Communicator: 
redirecting the mailto protocol to an external client made Messenger try to use 
that client whenever posting to news was invoked, and that is why I made the 
posting that Seth used to enter this bug.
Comment 33 R. Saravanan 2001-02-07 22:25:24 PST
I just checked. Redirecting mailto: using Protozilla doesn't seem to affect news
postings.
Comment 34 J Luh 2001-03-31 06:57:29 PST
Re: mailto: being able to launch a URL instead of an external mail application. 
This could have some bad implications for usability or security. The URL 
parameters in a mailto: link are for setting header values in a mail message. The 
URL parameters in an http: link are for setting CGI parameters and the like. 
Mixing the two could cause problems.
Comment 35 Gervase Markham [:gerv] 2001-03-31 07:30:41 PST
mozilla.org@pidgin.org - I don't understand how it could be. Could you give an 
example of how this might be a problem?

Gerv
Comment 36 J Luh 2001-04-01 09:40:59 PDT
Re: the above request for an example. Consider:

mailto:user@example.com?attach_signature=yes
mailto:user@example.com?reply-to=postmaster@example.com

A mail application that handles mailto: links properly won't attach the
signature or set the Reply-To header (see the mailto: spec, RFC2368 at 
http://www.ietf.org/rfc/rfc2368 ). However, a Web mail application might well
allow either of those options to be set via URL parameters.

Or consider the more malicious

mailto:user@example.com?set_new_webmail_password=zxcvbnm

This is not a new risk; if the user is already logged in to the Web mail account
a Web author can just do

<a href="http://mailservice.example.com?set_new_webmail_password=zxcvbnm">

However, by providing a feature for always pointing mailto: at a URL, you would
be encouraging users to leave themselves logged into their mail accounts, and
thereby leaving themselves vulnerable to this kind of malicious URL. Some people
may find this acceptable, but others (including novice users) might not know
there is a risk.
Comment 37 Gervase Markham [:gerv] 2001-04-01 10:15:07 PDT
The plan, surely, is not to automatically convert all link parameters to a 
same-named CGI parameter, but the Protozilla script (which would be 
webmail-provider-specific) would use Javascript to fish out the ones it wanted 
(to, cc etc.) and convert those to whatever that webmail provider's URL params 
were.

Gerv
Comment 38 J Luh 2001-04-01 11:15:05 PDT
ok, I didn't realize that from the earlier comments
Comment 39 R. Saravanan 2001-04-02 09:28:56 PDT
The sample implementation of mailto: URLs bundled with Protozilla handles only
the "To" field at the moment. Ben Bucksch suggested that perhaps we should
implement more features, as in RFC2368. The comments regarding the security
issues suggest it would be wise to support only a restricted implementation of
mailto: URL redirection in Mozilla. If you look into the HTML source for web
mail interfaces at Yahoo and Hotmail, they too support only restricted "mailto"
functionality.
Comment 40 Gilles Durys 2001-04-16 15:59:06 PDT
*** Bug 76237 has been marked as a duplicate of this bug. ***
Comment 41 Chase Tingley 2001-06-27 17:32:44 PDT
*** Bug 88061 has been marked as a duplicate of this bug. ***
Comment 42 benc 2001-07-19 14:00:47 PDT
RESENT QA and owner: pmock is gone.

Comments in Bug 56478 suggest that having mailto: use the default OS mailto: 
handler might be coming soon.

This bug is really too open ended, and should be divided in to several bugs:

1- mailto: -> some app (via OS or mozilla pref selection)
2- mailto: -> arbitrary URL (via Protozilla?) + security issues
3- how to do this to mail vs. news (for those who want to use mailer "a" and 
newsreader "b"). (IE does this).

I say, make this bug #2, and deal with #1 in Bug 56478. Create a new bug for 
#3, or find a dupe that mentions it an re-open.
Comment 43 Matthias Versen [:Matti] 2001-08-08 07:27:54 PDT
*** Bug 94295 has been marked as a duplicate of this bug. ***
Comment 44 WD 2001-08-10 13:22:28 PDT
*** Bug 94777 has been marked as a duplicate of this bug. ***
Comment 45 Eugene Savitsky 2001-08-13 14:11:44 PDT
Marking mostfreq to avoid dupes (since NN6.1 I heared it many many times).

BTW Any news here?
Comment 46 Gervase Markham [:gerv] 2001-08-13 18:44:49 PDT
mostfreq is deprecated.

benc: 1, 2 and 3 can all be solved using Protozilla, as I understand it.
Saravanan is working on getting the IPC stuff in at the moment.

Gerv
Comment 47 Matthias Buecher 2001-08-23 05:47:42 PDT
I hope this may help some people, who want to use another mail client AND 
another news client on Windows.

If you do not install Mozilla's mail/news component, then 'mailto:' and 'news:' 
URLs are handled by the OS default program, otherwise Mozilla will ALWAYS use 
its own mail/news client.
Unfortunately I don't know a way to deactivate or deinstall the mail/news
component after installation. This also applies when you 'install' Mozilla
through the non-installer ZIP archive.
So deinstall/remove Mozilla and reinstall the wanted components (e.g. select 
browser only) WITH the INSTALLER VERSION.
This does NOT make the need for an alt_mail/alt_news definition obsolete.

Any help about deactivating/deinstalling a component after installation is
greatly appreciated.
Comment 48 Christopher Hoess (gone) 2001-10-07 11:43:05 PDT
*** Bug 103567 has been marked as a duplicate of this bug. ***
Comment 49 R.K.Aa. 2001-10-24 03:09:20 PDT
*** Bug 106422 has been marked as a duplicate of this bug. ***
Comment 50 Jesse Ruderman 2001-11-23 17:43:15 PST
See also converse bug 108455, "need option for links in moz mail to open in a 
non-mozilla browser".
Comment 51 Ryoichi Furukawa 2001-12-08 11:42:12 PST
I want to user Mozilla News for 'news:',
but I want to use External Mail client for 'mailto:' url.

A way of deactivate the mail/news component can not satisfy this proposal.

I want to support a way of changing default URL handler.
Comment 52 Ryoichi Furukawa 2001-12-08 11:46:32 PST
What is the option 'Use Mozilla Mail as the default mail application' in
Mail & Newsgroups in preference ?

This option is exist, but not be clicked still.
Comment 53 Russell Odom 2001-12-16 06:21:42 PST
If you get round to implementing this, might I suggest you make it configurable
(after installation) by ISPs and so on, after the fashion of Micro$oft .ins
files? This would allow ISPs, etc. to include a link such as 'Click here to
download a file to make Mozilla use our webmail as your default mail client'.

Even better, do it with a JavaScript function so there's no file, etc. involved
- with the appropriate security precautions, confirmation, etc. of course.

E.g. <A
href="javascript:setMailClient('http://webmail.someisp.com/compose?to=$to$&subject=$subj$')">Make
us your default mail client</A>

Note the use of $XXX$ placeholders in the URL - this would allow webmail
providers a good degree of customisation depending on their system. I would
suggest the following fields be allowed (although there may be more I haven't
though of):
To
Subject
login (this is the user's login to authenticate with the server)
password (user's password to authenticate with the server - not sure if this is
a good idea or not)
CC
Comment 54 Aaron Kaluszka 2001-12-20 22:07:44 PST
Should this actually be listed under MailNews?
Comment 55 jerry asher 2001-12-22 11:54:38 PST
I typically have several email accounts, and I actually find it worthwhile to
have several mail user agents, each configured to a variety of different mail
accounts.

For example: I am now trying out Mozilla once more.  One day I look forward to
importing all my email from Eudora into Mozilla, but that's not for today. 
Today, I would like to have Mozilla handle my spam mail account since I suspect
that Mozilla's security will be better than Eudora's security since Eudora uses
IE to display html email.

So I want ALL mailtos to be handled by Eudora.  I do want Mozilla's email client
installed, and I want to explicitly bring it up to send/respond to mail sent
to/from suspected spamming companies.

It shouldn't be all or nothing.  In short, is there any reason that Mozilla
doesn't respect it's own setting: "make mozilla the default mail agent: NO"?
Comment 56 R.K.Aa. 2002-01-17 21:29:42 PST
*** Bug 120713 has been marked as a duplicate of this bug. ***
Comment 57 Matthias Versen [:Matti] 2002-01-22 01:10:40 PST
*** Bug 121197 has been marked as a duplicate of this bug. ***
Comment 58 Christopher Aillon (sabbatical, not receiving bugmail) 2002-01-22 07:00:58 PST
*** Bug 121224 has been marked as a duplicate of this bug. ***
Comment 59 Matthias Versen [:Matti] 2002-02-08 12:14:45 PST
*** Bug 124417 has been marked as a duplicate of this bug. ***
Comment 60 Gilles Durys 2002-02-11 01:34:00 PST
*** Bug 124812 has been marked as a duplicate of this bug. ***
Comment 61 Matthias Versen [:Matti] 2002-02-16 13:58:23 PST
*** Bug 125932 has been marked as a duplicate of this bug. ***
Comment 62 Tuukka Tolvanen (sp3000) 2002-02-20 15:47:17 PST
*** Bug 126825 has been marked as a duplicate of this bug. ***
Comment 63 Aleksey Nogin 2002-03-20 09:36:10 PST
*** Bug 132276 has been marked as a duplicate of this bug. ***
Comment 64 Eugene Savitsky 2002-03-28 01:54:30 PST
Sorry for the spam, but I talked to many Moz and NN users and 95% of them use an
external mail programm. They all use Right-click -> Copy E-Mail and CTRL-V in
external programs...

Now we can imagin how many people stopped using moz/NN since they does not allow
of using external mail client.

I believe it must be in moz1.1
Comment 65 Matthias Versen [:Matti] 2002-03-31 11:57:29 PST
*** Bug 134515 has been marked as a duplicate of this bug. ***
Comment 66 Hanno Boeck 2002-04-02 07:48:04 PST
Will this be fixed in 1.0?
Comment 67 Gervase Markham [:gerv] 2002-04-02 08:48:49 PST
I think we can safely say "No". Sorry.

Gerv
Comment 68 R.K.Aa. 2002-04-13 13:04:34 PDT
removing nomination for 0.9.8 - long since passed
Comment 69 Jesse Ruderman 2002-04-19 13:05:59 PDT
*** Bug 138513 has been marked as a duplicate of this bug. ***
Comment 70 Gilles Durys 2002-04-26 06:23:12 PDT
*** Bug 140285 has been marked as a duplicate of this bug. ***
Comment 71 Jackson Myers 2002-04-26 08:10:54 PDT
Why can windows users customize the installation of Mozilla with the option of
installing the the navigator, mail, news, etc. But mac users have to install teh
whole thibng? Too bad im not an amazing enough programmer to fix it myself! :(
Comment 72 Prachi Gauriar 2002-04-26 18:47:21 PDT
I'm not sure if this applies to all builds of Mozilla or just the Mac OS X
build, but adding a file called user.js to your profile folder (the same folder
contains prefs.js) and placing the following text in that file will fix this bug:

user_pref("network.protocol-handler.external.mailto", true); 

From what I understand, this also works for ftp and nntp. This was pointed out
to me by someone in the netscape.public.mozilla.macosx newsgroup. Is this just
for Mac OS X, or does it apply to the other builds?
Comment 73 mail 2002-04-27 00:01:59 PDT
@Prachi Gauriar:

Works for Mozilla 1.0 RC1 on WinXP. :-)
Comment 74 u27431 2002-04-27 02:21:13 PDT
Sadly, this workaround does not appear to work under Linux (RedHat 7.2 with
Ximian Gnome).  It _does_ prevent Mozilla Mail from running but does not invoke
the corresponding Gnome URL-handler.  If it's trying some other handler
mechanism, I don't know what it is.  I looked through a fair chunk of source to
see if I could figure out what Mozilla calls but I couldn't find the
platform-specific URL handler stuff (never looked at Mozilla source before).  Alas.

I did run into a fair number of "obsolete" designations so I doubt this
mechanism is going to stick around.
Comment 75 Boris Zbarsky [:bz] (still a bit busy) 2002-04-27 07:23:07 PDT
Platform-specific URL handlers are implemented in nsOSHelperAppService.cpp
(there are win/mac/os2/unix versions of this file with different implementations).

In particular, the Unix version is not implemented:
http://lxr.mozilla.org/seamonkey/source/uriloader/exthandler/unix/nsOSHelperAppService.cpp#1071

An implementation is being done by Michael Kaply in bug 33282.  It will allow
setting Mozilla preferences to run helper applications for various protocols. 
It will _not_ read the Gnome preferences, obviously.

A separate bug should be filed on reading the Gnome URL-handlers (please cc me
on it).  Hopefully there is a way to do that without compiling against a gnome
header... (but I have my doubts about that).
Comment 76 Jackson Myers 2002-04-27 08:33:09 PDT
Works like a charm in OSX! :) 
It would still be great to uninstall the mail component to save memory but its
pretty convenient not having to copy/paste email addresses anymore!!
Comment 77 u27431 2002-04-27 14:35:31 PDT
Posted bug 140635 about using GNOME URL handlers. (Thanks for the pointer, Boris.)
Comment 78 Greg K. 2002-04-28 18:46:39 PDT
*** Bug 136682 has been marked as a duplicate of this bug. ***
Comment 79 spambin 2002-04-29 11:42:24 PDT
Woohoo, comment #72's fix solved the problem. This is wonderful, I'm in heaven.
Now I can use Mozzilla as my primary browser. 
Comment 80 Beth Tobey 2002-04-29 12:13:50 PDT
Tried #72, but it didn't fix my problem. :-(  I just created a simpletext file
with the line as instructed--is there some other way to do it?  I'm on Mac OS 9.1.
Comment 81 spambin 2002-04-29 12:24:41 PDT
This might not work in OS 9, but it works fine in OS X. This might not be
implimented yet in OS 9.
Comment 82 Robert Turnbull 2002-04-29 12:58:59 PDT
I got mailto to work in Win2k by using pres.js! Thanks

Is there a way to make Send Page and Send Link use the external mail app as well?
Comment 83 Mark Bickford 2002-04-29 19:38:19 PDT
For those of you who have implemented the fix in Comment #72, can you confirm 
that you can still use Mailnews to post to newsgroups, even with the alternate 
mail client enabled?  That was the original bug from 4.x (at least on Windows): 
you could redirect the mailto: handler to an external app with  nsmapi.dll, but 
then Communicator would launch that app when you tried to post to a newsgroup 
from Messenger.
Comment 84 Torben 2002-04-30 03:42:03 PDT
I can confirm that the fix in comment #72 only affects mailto, newsgroups will
open in mozilla (Win95, moz 1.0 RC1).
Substituting nntp for mailto, will however make mozilla crash when you try to
view newsgroups :-(
Comment 85 Erik Neuenschwander 2002-04-30 04:29:26 PDT
Should the relnote keyword should be added to this bug since it has been futured
past 1.0?

Also, setting this preference has no effect on nttp protocol handler for OS X:
it just causes the throbber to flicker uselessly either way.  Will hunt to see
if that bug has been entered.
Comment 86 Jim Crumley 2002-05-03 09:41:48 PDT
Using the patch at bug 33282 it is now possible to use an external mailer on Unix.

After applying the patch, try the following in prefs.js:

user_pref("network.protocol-handler.external.mailto", true);
user_pref("applications.mailto", "rxvt -e mutt");
user_pref("applications.mailto.host", "%username%@%host%");

A similar setup should work for any mailer that will take an address as a
commandline option.
Comment 87 Tom Hundt 2002-05-03 10:06:26 PDT
Re: Comment #86, many thanks.  This worked in Moz1.0.RC1 under WinNT and got my
Eudora working (as specified in Control Panel>Internet).  (Hmmm, it must've
ignored the "applications.mailto" lines [not using 'rxvt', that's for sure]). 
Cheers.
Comment 88 timeless 2002-05-03 15:38:33 PDT
if you don't install mailnews then on windows we will farm out mailto: to 
whatever app has registered it.
Comment 89 Bamm Gabriana 2002-05-09 21:55:24 PDT
user_pref("network.protocol-handler.external.mailto", true); 

It would be great if there was a UI for this. Perhaps:

 ------------------------------------------------
|
|  [ ] Make Mozilla my default email program.
|
|    Clicking an email link from Navigator opens:
|      ( ) Mozilla Mail
|      ( ) Your default email program
|
|    [ ] On startup, check if other programs changed
|        this setting
|
 ------------------------------------------------

If the first checkbox is checked, then the two radio
buttons should be disabled.

If the first checkbox is cleared, then the second
checkbox should be disabled.

What do you think?
Comment 90 timeless 2002-05-10 03:22:08 PDT
Yuck.

netscape1.0's ui was far superior
Comment 91 Alexander Dietrich 2002-05-11 06:46:28 PDT
Does Comment #86 still work with RC2 ? I added the user_pref() lines to my
prefs.js, but nothing happens when I click on mailto: links. (telnet: links
don't work either)
Comment 92 Christian :Biesinger (don't email me, ping me on IRC) 2002-05-11 15:48:23 PDT
alexander, if you're using linux, comment 86 only applies if you compile mozilla
yourself and have applied the patch from bug 33282
Comment 93 Matthias Versen [:Matti] 2002-05-12 12:19:20 PDT
*** Bug 143944 has been marked as a duplicate of this bug. ***
Comment 94 Josh Whitver 2002-05-12 14:31:50 PDT
Adding the line of text suggested in comment #86 to my prefs.js file worked just
peachy on OS X (so adding the user.js isn't necessary, fwiw).  

This begs the question:  Why isn't there a UI for this?  It probably doesn't
need to be the one in comment #89, though I personally didn't really see much
wrong with that, but *some* way for Joe Blow to use another email client is
certainly necessary.
Comment 95 m_mozilla 2002-05-12 14:36:50 PDT
prefs.js is *not* the place to add that.

prefs.js is "property of mozilla" in the sense that it can re-write and mangle
the file in any which way it chooses. Your pref could one day vanish.

user.js is "property of the user" in that mozilla will not mess with it. Put
your custom funky stuff in the user.js file :)

It may never matter, but if you put it in user.js, then you don't need to worry
about the phrase "*may* never matter".

-matt
Comment 96 Jesse Ruderman 2002-05-12 20:39:23 PDT
See also bug 96717, Mozilla mailnews never registers mailto: protocol with Windows.
Comment 97 Jackson Myers 2002-05-12 20:53:39 PDT
works great for me now. How do I get off this mailing list?
Comment 98 Matthias Versen [:Matti] 2002-05-14 14:29:22 PDT
*** Bug 144484 has been marked as a duplicate of this bug. ***
Comment 99 R.K.Aa. 2002-05-22 11:20:35 PDT
*** Bug 146218 has been marked as a duplicate of this bug. ***
Comment 100 Matthias Versen [:Matti] 2002-06-11 18:55:12 PDT
*** Bug 150979 has been marked as a duplicate of this bug. ***
Comment 101 Robert Wall 2002-06-21 07:43:39 PDT
*** Bug 153357 has been marked as a duplicate of this bug. ***
Comment 102 Randell Jesup [:jesup] 2002-06-21 13:52:50 PDT
*** Bug 153420 has been marked as a duplicate of this bug. ***
Comment 103 K. Mortens 2002-06-26 13:47:49 PDT
Tried comment 72 and comment 86 and still Netscape Email client opens on mailto
links for Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:0.9.4.1)
Gecko/20020508 Netscape6/6.2.3

I apologize if this is the wrong place for this, but the problem description
matched issue.
Comment 104 Matthias Versen [:Matti] 2002-06-27 05:32:31 PDT
*** Bug 154582 has been marked as a duplicate of this bug. ***
Comment 105 Torben 2002-06-27 06:19:10 PDT
Re Comment #103:
NS 6.2 is to old for this to work, update to NS7b1 or Moz 1.0 or 1.1a.
Comment 106 Matthias Versen [:Matti] 2002-07-04 07:12:46 PDT
*** Bug 155731 has been marked as a duplicate of this bug. ***
Comment 107 Bill Mason 2002-07-13 21:40:43 PDT
*** Bug 157363 has been marked as a duplicate of this bug. ***
Comment 108 Jesse Ruderman 2002-07-26 14:49:04 PDT
Why is this marked as a mail bug and not a browser bug?  Why is it worded as a
request for a preference when it's really a bug about not honoring preferences
set in the operating system?
Comment 109 guanxi 2002-07-30 09:14:48 PDT
> Why is this marked as a mail bug and not a browser bug? 

Good question.  Looks like a browser bug to me.


> Why is it worded as a request for a preference when it's really a bug about not 
> honoring preferences set in the operating system?

Severity is 'normal' not 'RFE'.  As to the OS preferences, the problem is twofold:
  1)  Moz doesn't register itself as the mailto: app - see bug 96717
  2)  Moz ignores the registered mailto: app
Comment 110 timeless 2002-07-30 09:33:38 PDT
ok
Comment 111 Daniel Wang 2002-07-31 00:31:06 PDT
*** Bug 160263 has been marked as a duplicate of this bug. ***
Comment 112 guanxi 2002-08-01 08:13:03 PDT
It's assigned to "nobody"?
Comment 113 Michael W. Burden 2002-08-01 08:16:55 PDT
I think that's because it was just moved from MailNews to Browser the day before
yesterday, and nobody's had a chance to pick it up yet.
Comment 114 Christian :Biesinger (don't email me, ping me on IRC) 2002-08-01 08:40:33 PDT
no, it was intentionally reassigned to nobody when it was moved
Comment 115 Adam Hauner 2002-08-01 09:07:37 PDT
-> ben@netscape.com (as default owner)
Comment 116 Troy Fish 2002-08-02 21:36:30 PDT
When the Mail prefs are canceled out the entire browser crashes in OSX
(unexpectedly quits)

Comment 117 Matthias Versen [:Matti] 2002-08-03 14:43:13 PDT
*** Bug 160894 has been marked as a duplicate of this bug. ***
Comment 118 Jesse Ruderman 2002-08-10 00:22:26 PDT
*** Bug 161690 has been marked as a duplicate of this bug. ***
Comment 119 Vicki Brown 2002-08-27 09:34:33 PDT
This is the ONE outstanding Mozill,a bug that prevents me from using Mozilla as
my default browser. When I click a Mailto: (Mac OS X) I want to launch my
prefered mail app. Under Mac OS, that preference is stored in my Internet
settings and is available to all applications. I want to launch Eudora, or
Mail.app, or... whatever _I_ prefer.

Sorry, but to me, Mozilla is a web browser; I can view News via the web. Mozilla
is not now and never will be my mail client.

Please fix this.
Comment 120 Bill McGonigle (not currently reading bugmail; please contact directly) 2002-08-27 13:52:19 PDT
Vicki, did you read comment #72?
Comment 121 Erwan David 2002-08-30 06:39:44 PDT
Every comment speaks about "the default mailer of the platform". But my platform
(linux) has *no* default mailer. So I need a way to specify this inside mozilla.
With communicator I would have used muttzilla, but this does not work anymore...
Comment 122 Boris Zbarsky [:bz] (still a bit busy) 2002-08-30 19:46:30 PDT
See bug 33282.  That would let you define a mailto: handler.
Comment 123 Vicki Brown 2002-08-31 21:59:12 PDT
33282 is a telnet handler bug...
Besides, those of us on Mac OS already _have_ a mailto handler defined; Mozilla (like IE 
:-) only needs to _use_ the definition already available!

I Missed COmment #72 in the myriad morass of comments; however, comment #72 
(presuming it works) is not a solution; it's a workaround.  I want an interface and a 
preference that works every time. When I re-install Mozilla my user.js file is overwritten 
(and besides taqt, getting to it to edit it is painful at best).   This should _just work_ for 
those of us with Mac OS (does Windoze have a default mail app sett9ing?) and for those 
with Linux there should be a pref to set a mailer.
Comment 124 Boris Zbarsky [:bz] (still a bit busy) 2002-09-01 16:45:49 PDT
> 33282 is a telnet handler bug...

which you obviously did not read. It sets up a generic mechanism for defining
handlers (protocol --> helper associations).

> When I re-install Mozilla my user.js file is overwritten 

It should not be. If it is, please file a bug on installer.

This is not to say that we should not respect that setting by default on Win and
MacOS.
Comment 125 Vicki Brown 2002-09-01 20:15:49 PDT
Re: comment #124
>> When I re-install Mozilla my user.js file is overwritten 

>It should not be. If it is, please file a bug on installer.

Installer? What installer? There is no "installer for Mac OS X... it's a drop-in folder 
replacement.
Comment 126 Boris Zbarsky [:bz] (still a bit busy) 2002-09-01 21:46:44 PDT
That should certainly not clobber user.js... Does it overwrite your bookmarks
too?  Those two files are both stored in the user profile, not in the Mozilla
install...
Comment 127 Ben Bucksch (:BenB) 2002-09-02 02:16:00 PDT
BugZilla is not a tech support forum. It is here to track work of developers. If
it works for you, fine, if not, bad luck and just wait or pay someone to do it.
Comment 128 Sven Krohlas 2002-09-07 10:30:53 PDT
*** Bug 167273 has been marked as a duplicate of this bug. ***
Comment 129 Brad Clarke 2002-09-13 14:15:17 PDT
Comment #72 is a nice quick fix, but I really would like to see a nice UI for
this option
Comment 130 Malcolm Rowe 2002-09-24 06:40:05 PDT
*** Bug 170502 has been marked as a duplicate of this bug. ***
Comment 131 Andrew Schultz 2002-10-13 18:40:46 PDT
*** Bug 174285 has been marked as a duplicate of this bug. ***
Comment 132 Matthias Versen [:Matti] 2002-10-18 12:00:43 PDT
*** Bug 175339 has been marked as a duplicate of this bug. ***
Comment 133 Henri Sivonen (:hsivonen) (Not reading bugmail or doing reviews until 2016-10-03) 2002-10-24 10:11:02 PDT
*** Bug 176494 has been marked as a duplicate of this bug. ***
Comment 134 Boris Zbarsky [:bz] (still a bit busy) 2002-10-27 00:02:24 PDT
*** Bug 176965 has been marked as a duplicate of this bug. ***
Comment 135 Chris Lyon 2002-10-28 10:14:09 PST
*** Bug 177136 has been marked as a duplicate of this bug. ***
Comment 136 Matthias Versen [:Matti] 2002-11-20 09:49:17 PST
*** Bug 181130 has been marked as a duplicate of this bug. ***
Comment 137 Chris Lyon 2002-12-12 15:49:35 PST
*** Bug 185114 has been marked as a duplicate of this bug. ***
Comment 138 Boris Zbarsky [:bz] (still a bit busy) 2003-01-06 19:41:29 PST
*** Bug 188008 has been marked as a duplicate of this bug. ***
Comment 139 Boris Zbarsky [:bz] (still a bit busy) 2003-01-09 00:09:07 PST
*** Bug 188295 has been marked as a duplicate of this bug. ***
Comment 140 Alfonso Martinez 2003-01-11 13:26:01 PST
*** Bug 188705 has been marked as a duplicate of this bug. ***
Comment 141 Fred Leonard 2003-01-11 23:14:03 PST
Cool, thanks, http://bugzilla.mozilla.org/show_bug.cgi?id=11459#c72 worked fine.

It's too bad this isn't a pref. This work-around works great, but it
s a little sloppy...

There's no way I would have found it without being told where it was.

I was going to go back to IE, I'm glad this saved me from having to do so...

IE sucks!!!

Maybe someday, with as mant posts as there about this, someone will fix it.

I would if I knew how, but maybe it would be a good idea to include this fix as
a text file with the distribution.

It's the only thing that kept me on Mozilla!
Comment 142 Christian :Biesinger (don't email me, ping me on IRC) 2003-01-12 06:00:56 PST
Had you read the FAQ at http://www.mozilla.org/start/1.0/faq/mail-news.html#3.3
you would have known it.

Also, it applies only to Windows and MacOS.
Comment 143 Erwan David 2003-01-12 06:44:12 PST
It only works for windows/Mac OS and the additionnal comment is frioghtening :
Unix/linux is NOT limited to GNOME/KDE.
Comment 144 Brett I. Holcomb 2003-01-14 16:52:36 PST
My two cents after reading this.

1.  It doesnt' seem to be a big issue to the Mozilla people - but it needs to
be!  Frankly, I - like many others - use other mailers and we have not gone to
Mozilla for this reason - can't use our mail client.  If I could have my mail
program (sylpheed-claws) be used as the mailer I'd use Mozilla all the time.

2.  I've installed it without the mail and other stuff but still didn't work. 
Also, in some packages you don't get a chance to weed out the mozilla mail stuff.

3.  The patches listed here did not work - mozilla 1.2.1 on 2.4.19 kernel.

This is another vote (someone in one of the bug replies said they needed more
input on this because they didn't think it was an issue) for the ability to use
an external mailer.

Thank you.
Comment 145 Chris Lyon 2003-01-24 20:00:52 PST
*** Bug 190570 has been marked as a duplicate of this bug. ***
Comment 146 R.K.Aa. 2003-02-05 01:16:08 PST
*** Bug 191980 has been marked as a duplicate of this bug. ***
Comment 147 Chris Lyon 2003-02-27 16:47:45 PST
*** Bug 195296 has been marked as a duplicate of this bug. ***
Comment 148 Fred Leonard 2003-03-11 16:07:54 PST
Perhaps we can wait until Apple Safari is out of beta.

I cannot believe Netscape/Mozilla want's to FORCE their mail and news client on
users without choice. This is Microsoft's M.O.

Also, I'm kind of getting sick of the "This application has unexpectedly quit"
messages....

It's too bad. I love the tabs, and would use it for that alone if it didn't
screw up my ability to use email, and if it didn't crash all the time...
Comment 149 Torben 2003-03-21 13:32:48 PST
*** Bug 198631 has been marked as a duplicate of this bug. ***
Comment 150 John 2003-03-24 22:50:55 PST
I am hesitant to throw in a "me too" if only for the length of the discussion on
this bug, but as no one seems to have mentioned it, this is a more crucial bug
for phoenix users, as no mailer is included with phoenix (which is part of why I
use it.) I've seen the notes on how to compile in my preferences, as well, but I
use gentoo and there currently is no phoenix package in gentoo's portage tree
except phoenix-bin (binary, obviously,) and prefer not to install apps without
portage. My own preference, I know, but I'm not the only phoenix user out
there...in the end though, this is only my $0.02.
Comment 151 Mike Cowperthwaite 2003-04-01 11:35:38 PST
I hope this will ease the burden on this bug some.  Quite a few issues that are
addressed in here come under the headings of other bugs.

The one issue raised in this bug that I have not seen covered elsewhere is
the conversion of a mailto: link to a Webmail http: link.  I'm not sure whether
that is an internal function of Mozilla; or if it would be farmed out to an
external program, in which case it's the same as the issue discussed below.

The most talked-about issue in this bug is that "Mozilla doesn't open my external mailer when I click a mailto: link."  Bug 144828 (for Windows and
MacOS X) supplies the same solution as put forth in this bug: "Set the
net.p-h.ext.mailto pref to true."  (Which does not work for the reporter of
that bug, who's using NT4, but seems to work for everyone else who's tried it.)

Bug 56478 addresses the same issue for Linux, which does not necessarily have
a "default mailto handler" like Win & OSX; and bug 140635 addresses using the
Gnome scheme of default URL handlers.

Other issues discussed in this bug:
Why doesn't Mozilla default to using the external mailto?
   this is Bug 196798 (asking for the pref to be True by default); note that,
   at least in windows, we currently DON'T want it true by default, if Mozilla
   is the preferred mailto handler: Bug 198547.

Why is there no UI for the net.p-h.ext.mailto pref?
   I don't know of any bug that specifically asks for this; bug 96717 is close,
   and I will add comments to that effect there.

Can Mozilla use an external mailer for its Send Page and Send Link menu items?
   this is Bug 152526.

Why doesn't Mozilla register itself as a mailto handler when it sets itself
as the default mailer?
   this is Bug 141965.


Overall, I'm not sure this bug should even be kept open, except perhaps for the
webmail support; all its issues are dealt with in other bugs, all of which
are shorter and easier to read.
Comment 152 Erwan David 2003-04-01 11:51:54 PST
If a GNOME solution is acceptabler for Galeon, it is NOT a solution for mozilla,
except if you make mozilla a GNOME only browser. The only possible solution is
the possiblity for the user to define his/her own way of handling mailto,
independently of any external environment. UNIX (and not only Linux) is not a
GNOME thing.
Comment 153 Erwan David 2003-04-01 11:56:00 PST
And I should add that a web mail is neither a solution for everybody, since not
evrybody subscribes to such a service.
Comment 154 Max Kanat-Alexander 2003-04-17 19:22:52 PDT
Based on comment 151, I have added bug 198547 and bug 196798 to the dependency
list for this bug. If they are both fixed, this problem will be resolved for
MacOS and Windows. If bug 33282 is resolved, then fixing the two previous bugs
will also resolve this problem for Linux users.

I would say that the most expedient method of handling this bug for the majority
of users would be the resolution of bug 198547 and bug 196798.

-M
Comment 155 Ben Bucksch (:BenB) 2003-04-17 19:42:29 PDT
I'd rather close this bug than to turn it into a tracking bug. It gives the
impression that this is not working at all (see the rants above), while in fact
it does for many (most?) cases, it seems.
Comment 156 Bill McGonigle (not currently reading bugmail; please contact directly) 2003-04-18 08:24:08 PDT
With Firebird/Thunderbird even Mozilla's mail app is external, so probably bug
196798 is going to happen for 1.5a.  So if there's ever going to be a pref UI
for folks using the Mozilla 1 series it needs to get into 1.4.  If it's not
going to get into 1.4 that's effectively WONTFIX.

Marking blocking1.4b? for somebody to decide.
Comment 157 Mike Cowperthwaite 2003-04-18 08:50:46 PDT
I think comment 154 misses the point of my 151. (For that matter, so did 152 & 
153.)  I think those other bugs stand on their own, and are separate from the 
issue of "need[ing an] option for mailto: to launch [an] external mail app."  
That option exists (well, maybe not for *nix), altho it is not yet automatic, 
cleanly specified in the Moz UI, or bug-free.

The one issue described uniquely here and still unaddressed: converting a 
mailto: URL into a Webmail http: URL.  That is most of the issue described in 
the original report.

I'm not sure this should be built in to Mozilla, tho.  I think a helper app 
makes a little more sense.  (Maybe a mozdev project, or better, an app provided 
by the Webmail vendor.)

This program would be linked to mailto:, accept the mailto: URL, convert to an 
http: URL to the mail-compose page of the user's webmail account (and I assume 
there are many such URL formats), and feed the URL back to Mozilla (or maybe 
even to another browser, if the user so desired -- say they use a webmail 
servuce that relies on IE-proprietary features).

UI issues of whether that page should go into the original tab, into a new tab 
or into a new window would need to be hammered out; also, how to handle the case 
where the Webmail account needs to be logged into before the compose page can be 
accessed.
Comment 158 Erwan David 2003-04-18 09:02:28 PDT
I disagree with comment 157. The issue is still open. Unix Users (and maybe
others, I think to people using a text mode mailer like mutt under windows) have
no possibility to use an external mailer.

This mailer being a webmail url handled by mozilla or another application is
another problem. The need is to be able to specify a mailer.
Comment 159 Mike Cowperthwaite 2003-04-18 09:57:08 PDT
I agree with Erwan David about that.  This bug should depend on Bug 33282.  (See 
comments there, 44 & 45, about how it is not Linux-specific but all Unixes.)

But I don't think most of the current dependencies actually, validly, block this 
bug's resolution:
  - Bug 68406 is about adding new (user-specified) protocols to Mozilla's list; 
Mozilla already knows what mailto is
  - Bug 96717 is about Mozilla registering itself as the system mailto handler
  - Bug 198547 is specific to a condition where Mozilla is the default mailer.  
(And it blocks 196798 already.)

Bug 196798 is about defaulting the net.p-h.ext.mailto pref to True, which would 
help this bug, but (until MailNews is a separate app) is not necessarily the 
right thing to do.  Revising my opinion from comment 156, this is a valid 
dependency.

Should the Webmail thing be broken into its own bug, which this could then also 
be dependent on?
Comment 160 Bill McGonigle (not currently reading bugmail; please contact directly) 2003-04-22 13:59:52 PDT
So this bug got a - on blocking1.4b.  Since 1.5a will use an external mailer,
should it just be resolved WONTFIX then?
Comment 161 Boris Zbarsky [:bz] (still a bit busy) 2003-04-22 14:16:54 PDT
> Since 1.5a will use an external mailer,

It will?  It'll be moving that way, but possibly not done yet... Also, iirc
there will be the option of installing Minotaur as an extension, not just a
standalone app.  And then the problem continues to exist.
Comment 162 Bill McGonigle (not currently reading bugmail; please contact directly) 2003-04-22 14:29:50 PDT
Ah, I'm sure you know more than I do - the development roadmap just talks about
stand-alone browser, stand-alone mailer.
Comment 163 Matthias Versen [:Matti] 2003-04-27 00:40:17 PDT
*** Bug 203542 has been marked as a duplicate of this bug. ***
Comment 164 Steve H 2003-04-27 01:45:23 PDT
This is bigger than just email, the entire set of options to launch external
programs is missing.  The available items in IE are HTML Editor, Email,
newsgroups, internet call, calendar and contacts and these probably all apply
except maybe calendar (although that might be nice too) and Mozilla should
provide for alternative executables for all of these.  This is a great feature
and it would suck if only MS had it, NO???

Comment 165 Punisher 2003-04-28 07:06:09 PDT
First, I have to admit I´m only a user, not a developer. Recently, I gave up
Opera because V7.x doesn´t support my mousewheel. After changing to mozilla, I
had to discover that mailto-links don´t work with external programs. This is
very annoying, because I have to use MSOE 6. I would like to use the mozilla
mailer, but that one doesn´t support various smtp servers for one
profile/user/identity. So, if no one can fix the external mail handler issue,
couldn´t anybody fix the mailer in a way that it worx with multiple mail
accounts same as MSOE? I´ll praise the day i can completely get rid of that MS
Sh.. !
Comment 166 Christian :Biesinger (don't email me, ping me on IRC) 2003-04-28 09:33:10 PDT
>had to discover that mailto-links don´t work with external programs.

That is wrong. I am sure that a google search or reading the mozilla faq will
tell you how.
Comment 167 Prognathous 2003-04-28 09:47:31 PDT
bionic-head@gmx.net, here are a couple links that you may find interesting:

http://www.mozilla.org/start/1.0/faq/mail-news.html#3.3
http://bugzilla.mozilla.org/page.cgi?id=etiquette.html

Prog.
Comment 168 Dan Roca 2003-04-28 10:17:06 PDT
Guys..  we know there's a workaround. - The bug is here so that we don't need the workaround. 
There's no need to post comments on how to do the workaround, we already know how to do that.
Comment 169 Erwan David 2003-04-28 10:48:13 PDT
In response to #168. There is NO general workaround. There are some in some
cases, but not all configuration have a workaround
Comment 170 Christian :Biesinger (don't email me, ping me on IRC) 2003-04-28 11:12:40 PDT
what I suggested is not a "workaround", but whatever.
Comment 171 Brad Clarke 2003-04-28 11:21:38 PDT
I think we've all heard enough suggestions and workarounds. If you don't have a 
proposed patch or are trying to make one then:

Status Whiteboard: DO NOT COMMENT unless you want to help with the 
implementation
Comment 172 Steve H 2003-04-28 14:21:26 PDT
No Comments > Not even to propose that this bug should be addressed as part of
the entire range of missing external executables?
Comment 173 Arnoud Berendsen 2003-04-28 14:29:22 PDT
Just which part of "NOT COMMENT unless you want to help with the implementation"
don't you understand...?
Comment 174 WD 2003-05-11 19:46:56 PDT
*** Bug 205257 has been marked as a duplicate of this bug. ***
Comment 175 esther 2003-05-29 15:16:45 PDT
*** Bug 183174 has been marked as a duplicate of this bug. ***
Comment 176 Matthias Versen [:Matti] 2003-06-07 16:28:49 PDT
*** Bug 208672 has been marked as a duplicate of this bug. ***
Comment 177 Matthias Versen [:Matti] 2003-06-26 15:52:01 PDT
*** Bug 210822 has been marked as a duplicate of this bug. ***
Comment 178 Hanno Boeck 2003-07-02 15:43:41 PDT
It seems that there is a fix for this bug: mozex (mozex.mozdev.org)
I suggest integrating mozex into mozilla as soon as possible, since this is one
of the most important missing features of mozilla.
Comment 179 Matthias Versen [:Matti] 2003-08-09 15:52:28 PDT
*** Bug 215650 has been marked as a duplicate of this bug. ***
Comment 180 Matthias Versen [:Matti] 2003-08-22 13:16:03 PDT
*** Bug 217028 has been marked as a duplicate of this bug. ***
Comment 181 John I. Livingston 2003-08-29 09:51:49 PDT
You also need to move the item about changing E-mail profiles from the EDIT menu
in the main Mozilla application to the PREFERENCES menu. Once I was able to
remove a four-year-old return address, then I no longer needed a separate E-mail
application.
Comment 182 Jeremy Morton 2003-08-31 08:55:21 PDT
> ------- Additional Comment #88 From timeless@myrealbox.com  2002-05-03 15:38
> -------
> if you don't install mailnews then on windows we will farm out mailto: to 
> whatever app has registered it.

OK, this bug is one hell of a mountain out of a molehill :-)  What needs to
happen is that, at least on Windows and MacOS, Mozilla *always* 'farms out'
mailto: links to the default registered e-mail client.  If Mozilla Mail is
installed, it should register itself as the default e-mail client if the user
requests it.  Under NO circumstances should Mozilla not use the default
registered mailto: client on these platforms.

On Linux, I'm not sure if there's a default e-mail handler; I'll assume there
isn't.  In that case, there ought to be an editbox in preferences specifying the
location of an e-mail handler.  I really see absolutely NO need to have a
seperate checkbox, anywhere in prefs, saying 'Use Mozilla Mail'.  If the user
wants to use Mozilla Mail, they can damn well register it as the default e-mail
client, or (in Linux) specify its location!  There, that simplfies the fix by a
factor of about 1000 ;-)

Now I've been browsing some bugs related to this... I'm not sure whether a fix
providing this kind of functionality has yet been released.  All I can say is,
I'm using Mozilla 1.4b (Gecko/20030827) and it's still ignoring my default
registered mail app, and always launching Mozilla Mail for mailto: links.  This
bug is so simple to fix I could probably do it, but I will refrain from
submitting a patch as yet as I just can't believe someone hasn't already fixed
this :-)  Will wait for version 1.4 and assume it *will* be fixed by then.

CCing self and voting for bug.
Comment 183 timeless 2003-09-01 01:11:25 PDT
eh? what kind of build are you using? we just released 1.5b, i think.

as to the idea that you can just break mozmail that's not acceptable.

imagine someone who installs 3 mail clients and 3 browsers. do you think they'd
be happy if they can only use one of each? why would they have installed all
three of each?

Users have to be able to chose whether they want to use the system default or
some other application.
Comment 184 Jeremy Morton 2003-09-01 03:35:17 PDT
Timeless:

Sorry, that was a typo; I meant to say I was using Mozilla 1.5b.

> imagine someone who installs 3 mail clients and 3 browsers. do you think they'd
> be happy if they can only use one of each? why would they have installed all
> three of each?

Very good question.  Why WOULD they install 3 mail clients?  Let's take an
example from earlier in this discussion:

> ------- Additional Comment #55 From jerry asher  2001-12-22 11:54 -------
> I typically have several email accounts, and I actually find it worthwhile to
> have several mail user agents, each configured to a variety of different mail
> accounts.
> For example: I am now trying out Mozilla once more.  One day I look forward to
> importing all my email from Eudora into Mozilla, but that's not for today. 
> Today, I would like to have Mozilla handle my spam mail account since I
> suspect that Mozilla's security will be better than Eudora's security since
> Eudora uses IE to display html email.
> So I want ALL mailtos to be handled by Eudora.

This confirms my suspicion; that just about anybody with more than one mail
client is always going to want mailto: links to be handled by one client, no
matter where that link was invoked from (Mozilla, IE, an application's "mail the
author" button, etc).  The different mail clients on the system are going to be
for different purposes; in this guy's case, Moz Mail for receiving mail from his
spammail account, and Eudora for other accounts and SENDING e-mail.

I see absolutely no circumstance where someone would want different e-mail apps
to be invoked for mailto: links based on what application has invoked that link;
*even when there are multiple mail user agents installed on the system*.  If
they do have more than one client, one will be their favorite, under ALL
circumstances, for sending e-mail.  That one should be registered as the system
default.

Therefore, I stand by my previous suggestion.

As an aside, how is Mozilla using the default system mail application to handle
mailto links 'breaking' Mozilla Mail?  It's still perfectly useable.  You just
invoke it manually if it's not your default mail application, or get it to
register itself as default if you want to always send mail with it.
Comment 185 Mark Bickford 2003-09-01 20:16:44 PDT
I disagree with the "give the user no choice but to use the Windows shell
mailto: handler" approach.  Maybe I'm using an alternate shell that doesn't
support URL handling.  More likely, perhaps I want to have different Mozilla
profiles access different mail clients, or invoke the same mail client with
different command-line options to invoke different profiles (one set of profiles
for billable time while working at home, one set for personal).  I also doubt
(although I am not certain) that using a native mailto: handler to point to an
external mail website (especially if that site is NOT MSN Hotmail) works, or
that it can be trusted to continue to work in the future.  I would think that a
radio choice among "Use system mailto handler", "Use Mozilla Mail" (in the
Seamonkey suite only), and "Use this mailto handler: ", the latter including a
file explorer textbox widget, would be the soundest UI approach.  From these,
"Use system mailto handler", if it is defined, would be the sensible default.
Comment 186 Paul 2003-09-02 07:26:33 PDT
Why not just give the user the ultimate choice: 
Use System Default or Specify.  Under specify, one of the choices would be
"Mozilla/Mail", the other would be "Browse ...", with the ability to specify
command line options, and either the URL or just the email address.

The default for the "Mozilla" distro, would be to use "Mozilla/Mail" like we do
not.  Firebird could default to the System default.

This way, everyone is happy.  Without this, I don't think we will ever come to a
decision, as people here seem to have VERY strong opinions on how they want it
to work.  If we keep bickering, nothing will ever get done.

Just my $0.02
Comment 187 Bill McGonigle (not currently reading bugmail; please contact directly) 2003-09-02 07:47:38 PDT
>Use System Default or Specify.  Under specify, one of the choices would be
>"Mozilla/Mail", the other would be "Browse ...", with the ability to specify
>command line options, and either the URL or just the email address.

Camino has a nice implementation of this idea for the Home Page pref:

Home Page   [             ]
Search Page [             ]
[x] Use system preferences
You can change your system-preferred pages in Internet Preferences
(Open Internet Preferences)

If 'Use system preferences' is checked, the Home Page and Search Page fields are
greyed-out.  The radio-button group Paul suggests could behave similarly.
Comment 188 Erwan David 2003-09-02 07:59:49 PDT
Those last comments are interesting but lack a point which was made clear in the
beginning of the life of this bug :
the "default system mailer" has *no* universal sense. There are configurations
with no notion of "default system mailer".
Comment 189 Hogarth 2003-09-02 08:20:37 PDT
Gnargh. Can mozilla detect a config where there is no system default? (either
via programmers knowing which systems don't have one or at runtime or a
combination of both or some other means)

If so then we do the following (for example).

For those that have a system default:

[ ] MozMail
[ ] System Default
[ ] _______________________________ [Browse]

And those that do not:

[ ] MozMail
[ ] _______________________________ [Browse]

All that is really needed (AFAICS) is

a. finding a means to detect wether or not we have a system default
b. deciding on the final interface (I just pulled the above outta my ****)
c. finding someone to code it up :)

I think (c) may be the hardest. ;)
Comment 190 Jeremy Morton 2003-09-02 10:41:10 PDT
> This way, everyone is happy.  Without this, I don't think we will ever come to a
> decision, as people here seem to have VERY strong opinions on how they want it
> to work.

Ooh, I'm not sure about that.  I'm perfectly happy to have pretty much any
configuration suggested here, and anything as default, just as long as I have
the option to change the setting to my default system mail app.

> Gnargh. Can mozilla detect a config where there is no system default? (either
> via programmers knowing which systems don't have one or at runtime or a
> combination of both or some other means)

Yup.  Look at the OS.  Windows has a default, Mac (I think) does, Linux/Unix
doesn't.

> If so then we do the following (for example).

> a. finding a means to detect wether or not we have a system default
> b. deciding on the final interface (I just pulled the above outta my ****)
> c. finding someone to code it up :)

That suggestion seems fine, and one which I think pretty much everyone can agree
on.  Looks like (a) and (b) are done, I agree that (c) is the hardest but
theoretically it should be pretty easy for a coder with decent Mozilla
experience to whip this up in 5 minutes (alas I don't have that experience :-).
Comment 191 Sergei Dolgov 2003-09-02 10:59:43 PDT
Also BeOS has OS-wide setting since installation for preffered mail-handler
Comment 192 timeless 2003-09-02 19:53:30 PDT
Um. what if my windows system *doesn't* have a default?

Choices should not be based on the os but based on whether the system answers
that there is a system setting.

Lastly, what happens if the user selects use system default for a profile and
the profile runs on a system where there is no system default? Do we pop up the
preferences dialog? Do we pop up a chooser dialog?
Comment 193 Christopher Warner 2003-09-02 20:02:56 PDT
None of you are serious about this bug. If your idea of implementations make
sense please, at least have an idea of what systems Mozilla runs on. Describe
each of those systems technique for handling mail and then think logically about
an implementation.

a; eg; How would you find out whether or not the systems have defaults? Is there
an API for such option? If not, then how exactly do you go about detecting?

b; eg; The interface is unimportant until you've finished A

c; eg; No, it can't be whipped up in 5 minutes even if you have "A" completed.

It needs to be tested and the programmer in question would have to have access
to all the platforms in question, he or she would also have to understand each
system and the whole "detect" thing.

I'm tired of reading respones to this bug with poor implementations and off the
cuff analysis. If you're going to respond to this bug be prepared to describe
your implementation especially if you can't patch it yourself. This will make it
easier for others in question to fix this bug so it can finally be closed out.

Please, no more off the cuff analysis, think about your implementation and find
all pieces, then present your idea to others so that they may be able to fix it.
Comment 194 Cameron Simpson 2003-09-02 22:36:14 PDT
Just a data point for you all:

I'm using FireBird and mozex now. Mozex is an extension that lets you set commands
to run for some protocols and intercepts (some of) the mailto: calls (and some
others, ftp, telnet). It has let me use FireBird and Mozilla without pain for
some time now. I'm a confirmed mutt user so I have it open a terminal with a
suitable mutt composition incantation.

Of course this doesn't solve the problem for non-UNIX platforms, but it certainly
helps a large slab of UNIX users if they're like me: they like the browser (mostly)
but have no desire whatsoever to use the mail component, either because they
hate it or because they already use some perfectly satisfactory mail tool
and see no reason to learn two and to juggle multiple mail stores.

So UNIX people: try mozex and see if this bug becomes a non-issue for you.
Comment 195 Joe Infla 2003-09-05 06:48:52 PDT
*** Bug 218409 has been marked as a duplicate of this bug. ***
Comment 196 Joe Infla 2003-09-12 08:36:55 PDT
*** Bug 219043 has been marked as a duplicate of this bug. ***
Comment 197 Joe Infla 2003-09-22 07:33:34 PDT
*** Bug 219951 has been marked as a duplicate of this bug. ***
Comment 198 Charles Fenwick 2003-10-07 00:46:22 PDT
*** Bug 221417 has been marked as a duplicate of this bug. ***
Comment 199 chris 2003-10-07 05:40:32 PDT
This bug should be closed. The howto for mozilla discribes how to use an
external mail prgram, launched from within browser by "mailto"  Basically, the
mail application should be de-selected when installing or or updating Mozilla.
The Windows default mail program (ie: Thunderbird) will be launched when mailto
is called up.
Comment 200 Nehal M 2003-10-07 07:41:16 PDT
That's not a solution/fix. If you are using mozilla mail and you decide that 
you want to switch mail client, you would need to reinstall mozilla. You 
shouldn't have to do that.
Comment 201 Christian Blackburn 2003-10-07 15:12:55 PDT
At first I was all towards agreeing that this bug is closed, but I think there
should be some additional work done on it.  For one what if users want to use
Netscape Mail as their non-default reader (on demand only) and what if they want
Netscape Mail for their newsgroup reader.  Perhaps a right-click over an e-mail
link could allow users to use Netscape Mail vs. their default.  There could be a
context menu like: 
"Send using Outlook Express (Default Option)"
"Send using Mozilla Mail".  There should also be options to uninstall, disable
mail, but not news, and remove from default status Netscape mail from within the
preferences menu.  There could also be a way to have and or not have Mozilla
mail default while browsing with Mozilla (ie a non-operating system level
preference).  
Comment 202 Ilya Gulko 2003-10-07 15:36:01 PDT
Created attachment 132834 [details]
Screenshot of Opera's mailto: handling preferences

I'm attaching a screenshot of Opera's preferences for handling mailto: links.
(Opera is also a web browser with a built-in e-mail client.) It provides three
options:
- Opera
- System default
- Specify path
Comment 203 Chris Ruvolo 2003-10-07 16:04:35 PDT
People, don't forget about unix/linux, where there is no system default.  There
is currently no way besides mozex to start another mailer from within Mozilla on
unix.  And mozex is fine as a technology demo, but its got some UI issues.
Comment 204 Torben 2003-10-08 07:52:48 PDT
*** Bug 221566 has been marked as a duplicate of this bug. ***
Comment 205 David Hilbig 2003-10-14 04:27:21 PDT
I have a need to launch an external email client that is
not my system default client when running firebird with
profiles. I have found on the net the following information
can be added to users.js, for either earlier builds or OS/2
& MAC builds, but they don't seem to work on w2k Mozilla or
Firebird. 
 
 user_pref("applications.mailto","c:\\path\\executable");
 user_pref("applications.mailto.parameters","%url%");
 
Does this belong with this bug or somewhere else?
Comment 206 Oleg Sidletskiy 2003-11-28 04:01:47 PST
*** Bug 196720 has been marked as a duplicate of this bug. ***
Comment 207 Oleg Sidletskiy 2003-11-28 04:07:44 PST
*** Bug 223186 has been marked as a duplicate of this bug. ***
Comment 208 Matthias Versen [:Matti] 2004-02-27 02:27:24 PST
*** Bug 235796 has been marked as a duplicate of this bug. ***
Comment 209 R.K.Aa. 2004-03-26 09:03:45 PST
*** Bug 238787 has been marked as a duplicate of this bug. ***
Comment 210 Kerima Wahl 2004-03-27 09:39:07 PST
The workaround described in #72 does not apply for W2K and mail application "The
Bat" and mozilla 1.7b 
Comment 211 Bill McGonigle (not currently reading bugmail; please contact directly) 2004-03-29 11:46:36 PST
(In reply to comment #210)
> The workaround described in #72 does not apply for W2K and mail application "The
> Bat" and mozilla 1.7b 

There was a change fairly recently that, at least on my computer, makes the
single  line in #72 not do the trick.  You now also need to specify the mail
application, e.g.:

user_pref("network.protocol-handler.external.mailto", true);
user_pref("applications.mailto", "/Applications/Mail.app");

Looks like some Internet Config-related breakage; anybody here know in which bug
that regressed?
Comment 212 Andrew McMillan 2004-04-01 01:17:01 PST
In Firefox 0.8 this has changed, so that I can set:

network.protocol-handler.app.mailto to "/usr/bin/evolution"
network.protocol-handler.external.mailto to "true"

That configuration syntax seems more rational anyway, and it
also works on a Linux environment for the first time, but I
can't find the related bug.

This also works in Mozilla 1.6 on Linux.

I guess all we need now is a configuration panel other than about:config and
this bug is resolved!

Comment 213 Chris Ruvolo 2004-04-02 10:43:40 PST
Thats not working for Moz 1.6 on Linux for me.  That gives "mailto is not a
registered protocol".  Back to mozex for me.
Comment 214 Bogdan Stroe 2004-06-17 12:35:32 PDT
*** Bug 247382 has been marked as a duplicate of this bug. ***
Comment 215 R.K.Aa. 2004-07-20 10:54:44 PDT
*** Bug 252293 has been marked as a duplicate of this bug. ***
Comment 216 Rob Elm 2004-07-20 11:33:26 PDT
(In reply to comment #199)
> This bug should be closed. The howto for mozilla discribes how to use an
> external mail prgram, launched from within browser by "mailto"  Basically, the
> mail application should be de-selected when installing or or updating Mozilla.
> The Windows default mail program (ie: Thunderbird) will be launched when mailto
> is called up.

You're wrong that this issue should be closed.  Completely uninstall Mozilla
components is an inapproprate measure for it's inability to correctly launch the
OS's default mail application. 
Comment 217 Bamm Gabriana 2004-07-21 23:52:41 PDT
I agree with Rob. As a theme developer I want mail installed but I don't want it
to take precedence over whatever I choose to be my default mail app.
Comment 218 Jamie Zawinski 2004-08-12 19:11:17 PDT
This seems to have changed again in Mozilla 1.7.2 on Fedora Core 2?

In Mozilla 1.7 on Red Hat 9, I was doing this, and it worked:

    user_pref("network.protocol-handler.external.mailto", "true");
    user_pref("network.protocol-handler.app.mailto", "gsendmail");

I have those same settings on my upgraded-to-FC2/1.7.2 system (and about:config
verifies that Mozilla is in fact seeing those values.)  

However, when I click on mailto: links, now it launches Evolution instead of
gsendmail.

Is there some new preference I need to be setting?  I can't tell where my choice
is suddenly getting overridden.
Comment 219 timeless 2004-08-12 20:30:25 PDT
jwz: it's probably honoring your gnome2 settings. there's this registry like
gnome-vfs system which holds them.
Comment 220 Jamie Zawinski 2004-11-06 02:50:27 PST
> jwz: it's probably honoring your gnome2 settings. there's this registry like
> gnome-vfs system which holds them.

Yeah, apparently recent mozillas unconditionally hand mailto: URLs off to the
"gnome-moz-remote" program, regardless of the "network.protocol-handler" settings.

It turns out that the way to re-fix this is:

  - run "gnome-file-types-properties"
  - select "Internet Services"
  - select "Electronic mail transmission"
  - select "Edit"
  - replace "evolution" with "gsendmail"

That writes to ~/.gnome/application-info/user.applications something like

6c8c53b2-1221-43d9-aefa-159a9e77fe94
	requires_terminal=false
	command=gsendmail %s
	can_open_multiple_files=false
	name=Custom mailto

Comment 221 Bob Vickers 2004-11-10 04:21:46 PST
It drives me round the bend when people do things like this. I've spent an hour 
or two googling to find out how to persuade Firefox to honour mailto URLs and
discovered:
(1) lots of bad press because Firefox doesn't do it out of the box
(2) possibly you can do it with an extension. This is no use to me because I
want to install it on behalf of hundreds of users, and this is really hard with
extensions
(3) various unofficial suggestions for using preferences, which I could not get
to work.
(4) Finally I read this response which shows that a developer calmly broke a
user configuration option without changing any documentation

I think that every option in about:config should have an associated comment
defining what the option does. Any deviation from the described behaviour should
automatically be regarded as a bug.

Bob
(In reply to comment #220)
> > jwz: it's probably honoring your gnome2 settings. there's this registry like
> > gnome-vfs system which holds them.
> 
> Yeah, apparently recent mozillas unconditionally hand mailto: URLs off to the
> "gnome-moz-remote" program, regardless of the "network.protocol-handler" settings.
> 
> It turns out that the way to re-fix this is:
> 
>   - run "gnome-file-types-properties"
>   - select "Internet Services"
>   - select "Electronic mail transmission"
>   - select "Edit"
>   - replace "evolution" with "gsendmail"
> 
> That writes to ~/.gnome/application-info/user.applications something like
> 
> 6c8c53b2-1221-43d9-aefa-159a9e77fe94
> 	requires_terminal=false
> 	command=gsendmail %s
> 	can_open_multiple_files=false
> 	name=Custom mailto
> 
> 

Comment 222 Mark Yen 2005-01-02 15:10:24 PST
I would like to see this availible out-of-the-box too, but for now, you can use
WebmailCompose by Jed Brown
[https://addons.update.mozilla.org/extensions/moreinfo.php?application=firefox&id=206&vid=1088]
which lets you use GMail, Yahoo Mail, Hotmail, Mail.com, Opera, Horde,
SquirrelMail, a custom webmail server, or your default mail editor from a
context menu, or pick your favorite for left-click.
Comment 223 R.K.Aa. 2005-02-28 09:17:06 PST
*** Bug 284105 has been marked as a duplicate of this bug. ***
Comment 224 Elmar Ludwig 2005-03-21 02:51:06 PST
*** Bug 286956 has been marked as a duplicate of this bug. ***
Comment 225 Freeman Ng 2005-04-02 02:08:57 PST
Another solution would be to follow the Windows/IE setting.
Comment 226 Jacek Piskozub 2005-04-02 02:28:08 PST
That is a non-solution. That's why:

1) It solves anything only on one platform (if at all, see below) while
Mozilla/Thunderbird works on many. Actually this would not even work on Windows
95 as it had no IE version at all.

2) It tries to assume the user actually uses IE (I don't) and knows where to
look for IE settings to control the behavior of mozilla.org software. Silly and
unproductive.

3) It assumes the Windows user has the right IE version. Do you know when IE
introduced this version? Do you know if IE7 (if it is really released) will have
this versions? This makes us too much Microsoft dependant.
Comment 227 Matt 2005-05-24 20:37:11 PDT
Created attachment 184467 [details]
Webmail Compose Extension

Webmail Compose extension for Firefox/Seamonkey, automaticall converts mailto:
links to use preferred webmail site.
Comment 228 David Barr 2005-05-24 22:41:48 PDT
(In reply to comment #178)
> It seems that there is a fix for this bug: mozex (mozex.mozdev.org)
> I suggest integrating mozex into mozilla as soon as possible, since this is one
> of the most important missing features of mozilla.

Did this suggestion ever go anywhere? I'm willing to help test for Mac OSX if
this goes somewhere.

Comment 229 Dave Townsend [:mossop] 2005-08-17 02:00:24 PDT
*** Bug 304892 has been marked as a duplicate of this bug. ***
Comment 230 KAPTAN 2006-11-09 21:21:28 PST
Created attachment 245174 [details]
Test Document please ignore

Test attachment document please ignore
Comment 231 Wayne Mery (:wsmwk, NI for questions) 2006-12-26 16:15:16 PST
*** Bug 330298 has been marked as a duplicate of this bug. ***
Comment 232 sanju 2007-02-11 04:07:35 PST
wefwdfwudfuk
Comment 233 eric 2007-05-23 02:18:16 PDT
My vote too!!!

Problem on windows: This must be handled with the context handler registry stuff and should be possible with firefox.exe in future.

Because there can be mailto:-links in other apps as well that should be handled a "in-Firefox-only" solution is not satisfying!
Comment 234 realgrouchy 2007-06-23 17:58:29 PDT
Forgive me for not reading through the years' worth of comments. I'm not sure if my request/situation would fall under this request, or a new one.

I have some old e-mail in my moz profile, which I don't want to migrate to a new mail client. Therefore, I must install the mail component when I install SeaMonkey (currently 1.1.2).

However, I use web-based e-mail services. Whenever I click on a mailto: link, it sets my clunky XP machine into opening up a composer window, wasting my time, and if I was not expecting it, frustrating me to no end. I'd much appreciate the ability to simply disable mailto: links in SeaMonkey, either in about:config, or with an extension (and to my knowledge, no such extensions exist; I could try webmail compose again, though last time it didn't work for me).

Thanks,

- RG>
Comment 235 Billy Warhol 2008-02-08 22:25:26 PST
My Send Link does not work anymore? I am unable to send it to people via Gmail as I used to??

Any Help would be Greatly appreciated - Thanks!
Comment 236 Helge Skjeveland 2008-07-17 09:59:43 PDT
I have no problems with this.  I added a bookmark to my FF 3 toolbar named "Compose E-mail" whose properties has just the naked "mailto:" keyword as the Location.  When I click it, it automatically starts my local Thunderbird to compose a new message.  I can then, from the blank message's Tools menu, access any of TB's other screens, and kill the message being composed.  Seems to me that the setting for what app. handles the mailto: protocol is, and should remain, in the O/S, not be manipulated by the browser.  To give the browser power to do so is a bad idea.  It should be handled at the system level.  E.g., I guess when TB's installed under Windows, it sets itself as the system default mailto: handler, overriding the default Outlook Express (or whatever is in force), as set in its System Defaults | Default Client db.

There should be an option of some kind to open a Webmail URL, however, as RG wants.
Comment 237 David Barr 2008-07-17 10:48:16 PDT
(In reply to comment #236)
<snip> E.g.,
> I guess when TB's installed under Windows, it sets itself as the system default
> mailto: handler, overriding the default Outlook Express (or whatever is in
> force), as set in its System Defaults | Default Client db.
> 
> There should be an option of some kind to open a Webmail URL, however, as RG
> wants.
> 

My opinion on optimum solution is something in the nature of a PrefPane under Browser that allows me to identify the action I want Moz/Sea to take when I click on a mailto: link. Does it open the Moz/Sea email? Thunderbird? Mac Mail? A url in the current window/new tab/new window? Then, users can pick the option they want to use, and forget about it.
Comment 238 eric 2008-07-17 11:50:50 PDT
I finally built a little Autohotkey-Script thats able to launch the browser with gmail on mailto:

Put this to the registry instead of outlook (or whatever) works systemwide! So this is actually the best way to do it!

put this exe to the registry key : HKEY_CLASSES_ROOT\mailto\shell\open\command
http://goodsoul.de/_graphics/ahk/webMailTo.exe

or get Autohotkey and compile by yourself: (works only as exe)
http://goodsoul.de/_graphics/ahk/webMailTo.ahk

Maybe that works with other webmailclients as well... I don't know. THats gmail only so far. Fine for me :]
Comment 239 Duncan 2009-06-20 02:39:04 PDT
Isn't this bug fixed by the existence of user_pref("network.protocol-handler.app.mailto",...) for local apps, and mimetype handlers for urn:scheme:handler:mailto which can include the webmail case?

The GUI to configure these seems adequate too, at least in Debian Iceweasel 3.0.9.

I think this bug can be closed.
Comment 240 Mark Bickford 2009-06-20 21:19:52 PDT
Duncan: this bug was originally aimed at the Mozilla suite (it stemmed from something I felt was broken in Netscape Communicator 4.x), and was passed from there to Seamonkey.  It's not really a bug against Firefox, so whether it works there shouldn't be the testcase for closing the issue unless the same prefs work properly (without breaking news handling in Composer, or whatever it's called now) in Seamonkey.
Comment 241 Philip Chee 2011-10-04 10:13:48 PDT
Bug 380415 (Implement web-based protocol handlers) implemented all of this bug for both SeaMonkey and Firefox, including the shared backend. For any new issues please file *NEW* bugs. Thanks.
Comment 242 Tristan Miller 2011-10-04 12:14:59 PDT
I had a look through the Preferences menu for SeaMonkey 2.4.  Am I correct in thinking that, apart from the about:config editor, there's no GUI to edit the network.protocol-handler.external.mailto preference?  Have I overlooked it, or should I file a new enhancement request?
Comment 243 Philip Chee 2011-10-05 11:27:50 PDT
If you want to expose this preference to the GUI, you'll need to file a new bug.
Comment 244 Mark Bickford 2011-10-09 21:47:09 PDT
Re c241: Philip, can you (or anyone else) confirm that using Seamonkey Composer to post to Usenet  works with external.mailto and/or app.mailto turned on?  My ISP turned off their NNTP server and I'm not sure if there's a successor to news.netscape.com these days, so I'd be hardpressed to verify it.  Even in the early days of the Mozilla Suite, there was a way to redirect mailto: links; my issue at the time was that doing so broke using Composer as a news client; see c240.
Comment 245 Tristan Miller 2011-10-09 23:45:00 PDT
Mark, there are a number of open access news servers out there.  If you just need one for testing purposes, you could try (for example) nntp.aioe.org.  Further information is available at <http://aioe.org/>.
Comment 246 Philip Chee 2011-10-10 11:46:01 PDT
I don't understand Mark Bickford's point. *mailto* has no connection to Usenet, unless you are using a mail to news gateway. Generally Usenet uses NNTP or more rarely UUCP.
Comment 247 Mark Bickford 2011-10-10 12:05:45 PDT
Re comment 246 : Agreed.  However, when I first made the post that sspitzer used to open this bug (see the bug description), there was an issue in Netscape Communicator such that, if you used the GUI to change the mailto: handler away from Mail/News, Mail/News (IIRC) would then bring up that mail client whenever you tried to reply to a newsgroup.  For most standalone SMTP/POP clients, that won't work, hence this bug (the behavior continued at least into the Moz Suite).  Sspitzer added the webmail piece when he filed the bug.  I am working on verifying if it works properly now.
Comment 248 Mark Bickford 2011-10-10 12:39:55 PDT
Thanks Tristan in comment 245 for pointing me to aioe.org.  I can report a successful test!  Test steps were:

1.  Configure news host in Mail/News.
2.  Make a successful port to test.post.
3.  Turn on the network.protocol-handler.external.mailto pref in about:config.
4. Restart the Seamonkey application, just to be on the safe side.
4.  Click a mailto: link, respond to the dialog asking to use my default mailer, verify that a new message window appeared in my mail client.
5.  Reopen Mail/News, reload test.post.
6.  Click Compose to reply to the group.  Old (bad) behavior: a New Message window would be brought up in my mail client.  Correct behavior: Mail/News would open its own message composition window.
7.  Correct behavior as indicated in Step 6 was observed.  I completed the new message to verify that it was in fact posted.

After 12 years, 2 months and a day (although no idea when the underlying issue was actually fixed), and who knows how many organizational and technological changes for the Mozilla project, I think this is done.  Are there any older ones still open?  :)

Note You need to log in before you can comment on or make changes to this bug.